Package org.apache.maven.scm.provider.svn.svnexe.command.info

## Class SvnInfoConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.info.SvnInfoConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SvnInfoConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Kenney Westerhof

### Constructor Summary

Constructors
`SvnInfoConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String s)`
`java.util.List<InfoItem>` `getInfoItems()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnInfoConsumer

    public SvnInfoConsumer()

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String s)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getInfoItems

    public java.util.List<InfoItem> getInfoItems()